local pm = require("polyman")

function love.load()

    imageData = love.image.newImageData("image.png")
    image = love.graphics.newImage(imageData)

    width, height = image:getDimensions()

    points = {}
    for x = 0, width - 1 do
        for y = 0, height - 1 do

            local _, _, _, alpha = imageData:getPixel(x, y)

            if alpha >= .5 then
                table.insert(points, x)
                table.insert(points, y)
            end

        end
    end

    points = pm.operations.convexHull(points)

end

love.graphics.setBackgroundColor(0,.5,0)

function love.draw()

    love.graphics.draw(image)
    love.graphics.polygon("line", points)

end

